<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'gurukul' ),
        // 'panel' => 'lz_fitness_premium_home_panel'
		'priority' =>20
	)
);
// ENABLE/DISABLE FEATURED SECTION
/*$wp_customize->add_setting(
	'lz_fitness_premium_contactus_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_premium_contactus_section_disable',
		array(
			'settings'      => 'lz_fitness_premium_contactus_section_disable',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Show Title and description at top', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_contactus_title_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text'
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize,'lz_fitness_contactus_title_heading',
		array(
			'settings'      => 'lz_fitness_contactus_title_heading',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Title & Description', 'gurukul' ),
		)
	)
);
// CONTACT US PAGE TITLE
$wp_customize->add_setting('lz_fitness_contactus_title', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_contactus_title', array('settings'=>'lz_fitness_contactus_title', 'section'=>'lz_fitness_premium_contactus_section','type'=>'text', 'label'=> __('contactus page title', 'gurukul')));
*/
$wp_customize->add_setting('lz_fitness_contactus_address_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_address_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_address_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'gurukul' ),
		)
	)
);

$section = 'lz_fitness_premium_contactus_section';
// contactus PAGE address
// $wp_customize->add_setting('lz_fitness_contactus_address', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
// $wp_customize->add_control('lz_fitness_contactus_address', array('settings'=>'lz_fitness_contactus_address', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Contact Us Address', 'gurukul')));

//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'lz_fitness_contactus_addrress',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Address', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_addrress',
	array(
		'settings'      => 'lz_fitness_contactus_addrress',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Add Address', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_address', $section, 'textarea', $label="Contact Us Address", 'lz_fitness_sanitize_text', 'Add Contact Address here..');

// contact us email 
$wp_customize->add_setting(
	'lz_fitness_contactus_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Email', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_emailid',
	array(
		'settings'      => 'lz_fitness_contactus_emailid',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'EmailType', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_email', $section, 'text', $label="Contact Us Email", 'lz_fitness_sanitize_text', 'contact@example.com');
// contact us Phone 
$wp_customize->add_setting(
	'lz_fitness_contactus_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Phone', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_phhone',
	array(
		'settings'      => 'lz_fitness_contactus_phhone',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_phone', $section, 'text', $label="Contact Us Phone", 'lz_fitness_sanitize_text', '+1 565 565 656565');
// contact us form shortcode 
$wp_customize->add_setting('lz_fitness_contactus_shortcode_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_contactus_shortcode_lbl', array('settings'=>'lz_fitness_contactus_shortcode_lbl', 'section'=>'lz_fitness_premium_contactus_section','type'=>'text', 'label'=> __('Form Title', 'gurukul')));

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode_lbl', $section, 'text', $label="Form Title", 'lz_fitness_sanitize_text', 'Contact Now');

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode', $section, 'text', $label="Form Shortcode", 'lz_fitness_sanitize_text', '[your shortcode]');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('lz_fitness_contactus_iframe_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_iframe_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_iframe_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'gurukul' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('lz_fitness_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('lz_fitness_contactus_embade', array('settings'=>'lz_fitness_contactus_embade', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'gurukul')));

// SOCIAL MEDIA URLS / LINKS
$wp_customize->add_setting(
	'lz_fitness_contactlabel',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Follow us on:', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactlabel',
	array(
		'settings'      => 'lz_fitness_contactlabel',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Social Tagline', 'lz-fitness-premium' )
	)
);


$wp_customize->add_setting('lz_fitness_contactus_sm_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_sm_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_sm_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Social Media Links', 'gurukul' ),
		)
	)
);
// FACEBOOK 
$wp_customize->add_setting('lz_fitness_contactus_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_facebook',
	array(
		'settings'      => 'lz_fitness_contactus_facebook',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'gurukul' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_contactus_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_twitter',
	array(
		'settings'      => 'lz_fitness_contactus_twitter',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'gurukul' )
	)
);
// Youtube
$wp_customize->add_setting('lz_fitness_contactus_youtube', array('default'=> 'https://youtube.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_youtube',
	array(
		'settings'      => 'lz_fitness_contactus_youtube',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'youtube Url', 'gurukul' )
	)
);
// Pinterest
$wp_customize->add_setting('lz_fitness_contactus_pinterest', array('default'=> 'https://pinterest.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_pinterest',
	array(
		'settings'      => 'lz_fitness_contactus_pinterest',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'pinterest Url', 'gurukul' )
	)
);

// LINKED IN
$wp_customize->add_setting('lz_fitness_contactus_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_linkedin',
	array(
		'settings'      => 'lz_fitness_contactus_linkedin',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'gurukul' )
	)
);

// Instagram
$wp_customize->add_setting('lz_fitness_contactus_instagram', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_instagram',
	array(
		'settings'      => 'lz_fitness_contactus_instagram',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'gurukul' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_HeadingColor', 'lz_fitness_premium_contactus_section', 'Form Heading color','#ffffff');
// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_formbgColor', 'lz_fitness_premium_contactus_section', 'Form Background color','#69489d');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_LocationColor', 'lz_fitness_premium_contactus_section', 'Location, Email & Phone Icon color', '#444');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_AddressColor', 'lz_fitness_premium_contactus_section', 'Address Text color', '#444');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_EmailColor', 'lz_fitness_premium_contactus_section', 'Email Text color', '#444');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_PhoneColor', 'lz_fitness_premium_contactus_section', 'Phone Text color', '#444');
// Text color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_innercontacttextColor', 'lz_fitness_premium_contactus_section', 'Text color', '#444');
// member name color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_TitleColor', 'lz_fitness_premium_contactus_section', 'Social Tagline color', '#444444');
// member name color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_SocialColor', 'lz_fitness_premium_contactus_section', 'Social Icon color', '#69489d'); 
// member name color
addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_SocialborderColor', 'lz_fitness_premium_contactus_section', 'Social Icon border color', '#444444');

addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_buttonbgColor', 'lz_fitness_premium_contactus_section', 'Button Background color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_contactusinnerpage_buttontextColor', 'lz_fitness_premium_contactus_section', 'Button Text color', '#69489d
	');